Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.metadata
Interface IMetaDataDictionary

    public interface IMetaDataDictionary

Global, shared dictionary of design meta data. Meta-data describes each design element and its properties. The information is shared because all designs share the same BIRT-provided set of design elements. See the `IElementDefn`class for more detailed information.

## Meta-data Information

The application must first populate the elements from a meta-data XML file using a parser. The meta-data defined here includes:

Property Types
  The set of data types supported for properties. BIRT supports a rich variety of property types that include the basics such as strings and numbers, as well as specialized types such as dimensions, points and colors. See the `PropertyType`class.
Element Definitions
  Describes the BIRT-defined elements. The element definition includes the list of properties defined on that type, and optional properties "inherited" from the style. See the `IElementDefn`class.
Standard Styles
  BIRT defines a set of standard styles. The set of styles goes along with the set of elements. For example, a list header has a standard style as does a list footer.
Class Definitions
  Describes the object types that are defined by JavaScript and BIRT. The class definition includes constructor, members and methods. See the `IClassInfo`class.

Field Summary
`static java.lang.String` | `FINANCE_CLASS_NAME` Name of the class for 'Finance'.
`static java.lang.String` | `TOTAL_CLASS_NAME` Name of the class for 'Total'.

Method Summary
`void` | `enableElementID()` Deprecated.
`IElementDefn` | `findElementByThemeType(java.lang.String themeType)` Finds the element definition with the specified report item theme type.
`IChoiceSet` | `getChoiceSet(java.lang.String choiceSetName)` Finds a choice set by name.
`IClassInfo` | `getClass(java.lang.String name)` Returns the class definition given the class name.
`java.util.List<IClassInfo>` | `getClasses()` Returns the class list.
`java.lang.String` | `getDefaultEncryptionHelperID()` Gets the default encryption id.
`IElementDefn` | `getElement(java.lang.String name)` Finds the element definition by its internal name.
`java.util.List<IElementDefn>` | `getElements()` Returns the element list.
`java.util.List<java.lang.String>` | `getEncryptionHelperIDs()` Gets all encryption id.
`IElementDefn` | `getExtension(java.lang.String name)` Returns the extension definition given the extension name.
`java.util.List<IElementDefn>` | `getExtensions()` Returns the extension list.
`java.util.List<IMethodInfo>` | `getFunctions()` Returns the function list.
`java.util.List<IPredefinedStyle>` | `getPredefinedStyles()` Gets the predefined style list.
`java.util.List<IPredefinedStyle>` | `getPredefinedStyles(java.lang.String type)`
`org.eclipse.birt.report.model.metadata.PropertyType` | `getPropertyType(int type)` Gets the metadata for a property type.
`org.eclipse.birt.report.model.metadata.PropertyType` | `getPropertyType(java.lang.String xmlName)` Gets the metadata for a property type given the type's XML name.
`java.util.List<IPropertyType>` | `getPropertyTypes()` Gets a list of rom-defined property types.
`java.util.List<java.lang.String>` | `getReportItemThemeTypes()` Gets all the supported report item theme types.
`IStructureDefn` | `getStructure(java.lang.String name)` Finds a structure definition by name.
`java.util.List<IStructureDefn>` | `getStructures()` Returns the structure list.
`IElementDefn` | `getStyle()` Returns the meta-data element that defines the style element.
`boolean` | `isEmpty()` Determines if the meta data dictionary is empty (uninitialized).
`boolean` | `useID()` Reports whether element IDs are in use.

Field Detail

### TOTAL_CLASS_NAME

    static final java.lang.String TOTAL_CLASS_NAME

  Name of the class for 'Total'.

  See Also:
    Constant Field Values

### FINANCE_CLASS_NAME

    static final java.lang.String FINANCE_CLASS_NAME

  Name of the class for 'Finance'.

  See Also:
    Constant Field Values

Method Detail

### getElement

    IElementDefn getElement(java.lang.String name)

  Finds the element definition by its internal name.

  Parameters:
    `name` - The internal element definition name.
  Returns:
    The element definition, or null if the name was not found in the dictionary.

### getPropertyType

    org.eclipse.birt.report.model.metadata.PropertyType getPropertyType(int type)

  Gets the metadata for a property type.

  Parameters:
    `type` - numeric type code
  Returns:
    property type definition

### getPropertyType

    org.eclipse.birt.report.model.metadata.PropertyType getPropertyType(java.lang.String xmlName)

  Gets the metadata for a property type given the type's XML name.

  Parameters:
    `xmlName` - XML name for the property type
  Returns:
    property type definition

### getStyle

    IElementDefn getStyle()

  Returns the meta-data element that defines the style element.

  Returns:
    the definition of the style element

### enableElementID

    void enableElementID()

  Deprecated.

  Enables the use of element IDs.

### useID

    boolean useID()

  Reports whether element IDs are in use.

  Returns:
    True if new elements should use element IDs.

### isEmpty

    boolean isEmpty()

  Determines if the meta data dictionary is empty (uninitialized).

  Returns:
    true if empty, false if it contains content

### getChoiceSet

    IChoiceSet getChoiceSet(java.lang.String choiceSetName)

  Finds a choice set by name.

  Parameters:
    `choiceSetName` - the name of the choice set
  Returns:
    the choice set, or null if the choice set was not found

### getStructure

    IStructureDefn getStructure(java.lang.String name)

  Finds a structure definition by name.

  Parameters:
    `name` - the structure name
  Returns:
    the structure, or null if the structure is not found

### getElements

    java.util.List<IElementDefn> getElements()

  Returns the element list. Each one is the instance of `IElementDefn`.

  Returns:
    the element list.

### getStructures

    java.util.List<IStructureDefn> getStructures()

  Returns the structure list. Each one is the instance of `IStructureDefn`.

  Returns:
    the structure list.

### getPredefinedStyles

    java.util.List<IPredefinedStyle> getPredefinedStyles()

  Gets the predefined style list. Each one is the instance of `IPredefinedStyle`;

  Returns:
    the predefined style list.

### getClasses

    java.util.List<IClassInfo> getClasses()

  Returns the class list. Each one is the instance of `IClassInfo`.

  Returns:
    the class list.

### getClass

    IClassInfo getClass(java.lang.String name)

  Returns the class definition given the class name.

  Parameters:
    `name` - name of the class to get.
  Returns:
    the class definition if found.

### getExtensions

    java.util.List<IElementDefn> getExtensions()

  Returns the extension list. Each one is the instance of `IElementDefn`.

  Returns:
    the extension definition list. Return empty list if no extension is found.

### getExtension

    IElementDefn getExtension(java.lang.String name)

  Returns the extension definition given the extension name.

  Parameters:
    `name` - name of the extension to get
  Returns:
    the extension definition if found

### getPropertyTypes

    java.util.List<IPropertyType> getPropertyTypes()

  Gets a list of rom-defined property types.

  Returns:
    a list of rom-defined property types.

### getFunctions

    java.util.List<IMethodInfo> getFunctions()

  Returns the function list. Each one is the instance of `IMethodInfo`.

  Returns:
    the method list.

### getPredefinedStyles

    java.util.List<IPredefinedStyle> getPredefinedStyles(java.lang.String type)

  Parameters:
    `type` -
  Returns:

### getReportItemThemeTypes

    java.util.List<java.lang.String> getReportItemThemeTypes()

  Gets all the supported report item theme types.

  Returns:

### findElementByThemeType

    IElementDefn findElementByThemeType(java.lang.String themeType)

  Finds the element definition with the specified report item theme type. If the element definition defines the identical theme type with the given value, then return it; otherwise return null if not found or report item theme is not valid.

  Parameters:
    `themeType` -
  Returns:

### getDefaultEncryptionHelperID

    java.lang.String getDefaultEncryptionHelperID()

  Gets the default encryption id.

  Returns:
    the ID of the default encryption helper

### getEncryptionHelperIDs

    java.util.List<java.lang.String> getEncryptionHelperIDs()

  Gets all encryption id.

  Returns:
    the list of all ID of the encryption helpers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.